#!/bin/sh

ANSWER="$1"

if [[ "$ANSWER" == "" ]] ; then
  echo "This option will overwrite all configuration scripts/makefiles"
  echo "and modify the configuration procedure to match LCG setup."
  echo "Installation scripts written by Oleg Zenin & Dmitri Konstantinov."
  echo ""
  echo "You will need autotools version 2.59 or higher."
  echo ""
  echo "Proceed? (Yes/No)"
  read ANSWER
fi

ANSWER=`echo $ANSWER | tr "[:upper:]" "[:lower:]"`

if test "$ANSWER" = "yes" || test "$ANSWER" = "y"; then
	rm -rf ../config* ../make* ../examples-C++/pythia/config* ../examples-C++/pythia/make*
	cp -rf LCGCONFIG/* ../.
	cd ..
	autoreconf --install --force
  rm -rf autom4te.cache
	cd examples-C++
	autoreconf --install --force
  rm -rf autom4te.cache
	cd ../examples-F77
	autoreconf --install --force
  rm -rf autom4te.cache
	echo "Done."
else
	echo "Aborted."
fi
